"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var ColorManager_1 = require("./ColorManager");
describe('ColorManager', function () {
    var cm;
    beforeEach(function () {
        cm = new ColorManager_1.ColorManager();
    });
    describe('constructor', function () {
        it('should fill all colors with values', function () {
            for (var key in cm.colors) {
                if (typeof key === 'string') {
                    chai_1.assert.ok(cm.colors[key].length >= 7);
                }
            }
            chai_1.assert.equal(cm.colors.ansi.length, 256);
        });
        it('should fill 240 colors with expected values', function () {
            chai_1.assert.equal(cm.colors.ansi[16], '#000000');
            chai_1.assert.equal(cm.colors.ansi[17], '#00005f');
            chai_1.assert.equal(cm.colors.ansi[18], '#000087');
            chai_1.assert.equal(cm.colors.ansi[19], '#0000af');
            chai_1.assert.equal(cm.colors.ansi[20], '#0000d7');
            chai_1.assert.equal(cm.colors.ansi[21], '#0000ff');
            chai_1.assert.equal(cm.colors.ansi[22], '#005f00');
            chai_1.assert.equal(cm.colors.ansi[23], '#005f5f');
            chai_1.assert.equal(cm.colors.ansi[24], '#005f87');
            chai_1.assert.equal(cm.colors.ansi[25], '#005faf');
            chai_1.assert.equal(cm.colors.ansi[26], '#005fd7');
            chai_1.assert.equal(cm.colors.ansi[27], '#005fff');
            chai_1.assert.equal(cm.colors.ansi[28], '#008700');
            chai_1.assert.equal(cm.colors.ansi[29], '#00875f');
            chai_1.assert.equal(cm.colors.ansi[30], '#008787');
            chai_1.assert.equal(cm.colors.ansi[31], '#0087af');
            chai_1.assert.equal(cm.colors.ansi[32], '#0087d7');
            chai_1.assert.equal(cm.colors.ansi[33], '#0087ff');
            chai_1.assert.equal(cm.colors.ansi[34], '#00af00');
            chai_1.assert.equal(cm.colors.ansi[35], '#00af5f');
            chai_1.assert.equal(cm.colors.ansi[36], '#00af87');
            chai_1.assert.equal(cm.colors.ansi[37], '#00afaf');
            chai_1.assert.equal(cm.colors.ansi[38], '#00afd7');
            chai_1.assert.equal(cm.colors.ansi[39], '#00afff');
            chai_1.assert.equal(cm.colors.ansi[40], '#00d700');
            chai_1.assert.equal(cm.colors.ansi[41], '#00d75f');
            chai_1.assert.equal(cm.colors.ansi[42], '#00d787');
            chai_1.assert.equal(cm.colors.ansi[43], '#00d7af');
            chai_1.assert.equal(cm.colors.ansi[44], '#00d7d7');
            chai_1.assert.equal(cm.colors.ansi[45], '#00d7ff');
            chai_1.assert.equal(cm.colors.ansi[46], '#00ff00');
            chai_1.assert.equal(cm.colors.ansi[47], '#00ff5f');
            chai_1.assert.equal(cm.colors.ansi[48], '#00ff87');
            chai_1.assert.equal(cm.colors.ansi[49], '#00ffaf');
            chai_1.assert.equal(cm.colors.ansi[50], '#00ffd7');
            chai_1.assert.equal(cm.colors.ansi[51], '#00ffff');
            chai_1.assert.equal(cm.colors.ansi[52], '#5f0000');
            chai_1.assert.equal(cm.colors.ansi[53], '#5f005f');
            chai_1.assert.equal(cm.colors.ansi[54], '#5f0087');
            chai_1.assert.equal(cm.colors.ansi[55], '#5f00af');
            chai_1.assert.equal(cm.colors.ansi[56], '#5f00d7');
            chai_1.assert.equal(cm.colors.ansi[57], '#5f00ff');
            chai_1.assert.equal(cm.colors.ansi[58], '#5f5f00');
            chai_1.assert.equal(cm.colors.ansi[59], '#5f5f5f');
            chai_1.assert.equal(cm.colors.ansi[60], '#5f5f87');
            chai_1.assert.equal(cm.colors.ansi[61], '#5f5faf');
            chai_1.assert.equal(cm.colors.ansi[62], '#5f5fd7');
            chai_1.assert.equal(cm.colors.ansi[63], '#5f5fff');
            chai_1.assert.equal(cm.colors.ansi[64], '#5f8700');
            chai_1.assert.equal(cm.colors.ansi[65], '#5f875f');
            chai_1.assert.equal(cm.colors.ansi[66], '#5f8787');
            chai_1.assert.equal(cm.colors.ansi[67], '#5f87af');
            chai_1.assert.equal(cm.colors.ansi[68], '#5f87d7');
            chai_1.assert.equal(cm.colors.ansi[69], '#5f87ff');
            chai_1.assert.equal(cm.colors.ansi[70], '#5faf00');
            chai_1.assert.equal(cm.colors.ansi[71], '#5faf5f');
            chai_1.assert.equal(cm.colors.ansi[72], '#5faf87');
            chai_1.assert.equal(cm.colors.ansi[73], '#5fafaf');
            chai_1.assert.equal(cm.colors.ansi[74], '#5fafd7');
            chai_1.assert.equal(cm.colors.ansi[75], '#5fafff');
            chai_1.assert.equal(cm.colors.ansi[76], '#5fd700');
            chai_1.assert.equal(cm.colors.ansi[77], '#5fd75f');
            chai_1.assert.equal(cm.colors.ansi[78], '#5fd787');
            chai_1.assert.equal(cm.colors.ansi[79], '#5fd7af');
            chai_1.assert.equal(cm.colors.ansi[80], '#5fd7d7');
            chai_1.assert.equal(cm.colors.ansi[81], '#5fd7ff');
            chai_1.assert.equal(cm.colors.ansi[82], '#5fff00');
            chai_1.assert.equal(cm.colors.ansi[83], '#5fff5f');
            chai_1.assert.equal(cm.colors.ansi[84], '#5fff87');
            chai_1.assert.equal(cm.colors.ansi[85], '#5fffaf');
            chai_1.assert.equal(cm.colors.ansi[86], '#5fffd7');
            chai_1.assert.equal(cm.colors.ansi[87], '#5fffff');
            chai_1.assert.equal(cm.colors.ansi[88], '#870000');
            chai_1.assert.equal(cm.colors.ansi[89], '#87005f');
            chai_1.assert.equal(cm.colors.ansi[90], '#870087');
            chai_1.assert.equal(cm.colors.ansi[91], '#8700af');
            chai_1.assert.equal(cm.colors.ansi[92], '#8700d7');
            chai_1.assert.equal(cm.colors.ansi[93], '#8700ff');
            chai_1.assert.equal(cm.colors.ansi[94], '#875f00');
            chai_1.assert.equal(cm.colors.ansi[95], '#875f5f');
            chai_1.assert.equal(cm.colors.ansi[96], '#875f87');
            chai_1.assert.equal(cm.colors.ansi[97], '#875faf');
            chai_1.assert.equal(cm.colors.ansi[98], '#875fd7');
            chai_1.assert.equal(cm.colors.ansi[99], '#875fff');
            chai_1.assert.equal(cm.colors.ansi[100], '#878700');
            chai_1.assert.equal(cm.colors.ansi[101], '#87875f');
            chai_1.assert.equal(cm.colors.ansi[102], '#878787');
            chai_1.assert.equal(cm.colors.ansi[103], '#8787af');
            chai_1.assert.equal(cm.colors.ansi[104], '#8787d7');
            chai_1.assert.equal(cm.colors.ansi[105], '#8787ff');
            chai_1.assert.equal(cm.colors.ansi[106], '#87af00');
            chai_1.assert.equal(cm.colors.ansi[107], '#87af5f');
            chai_1.assert.equal(cm.colors.ansi[108], '#87af87');
            chai_1.assert.equal(cm.colors.ansi[109], '#87afaf');
            chai_1.assert.equal(cm.colors.ansi[110], '#87afd7');
            chai_1.assert.equal(cm.colors.ansi[111], '#87afff');
            chai_1.assert.equal(cm.colors.ansi[112], '#87d700');
            chai_1.assert.equal(cm.colors.ansi[113], '#87d75f');
            chai_1.assert.equal(cm.colors.ansi[114], '#87d787');
            chai_1.assert.equal(cm.colors.ansi[115], '#87d7af');
            chai_1.assert.equal(cm.colors.ansi[116], '#87d7d7');
            chai_1.assert.equal(cm.colors.ansi[117], '#87d7ff');
            chai_1.assert.equal(cm.colors.ansi[118], '#87ff00');
            chai_1.assert.equal(cm.colors.ansi[119], '#87ff5f');
            chai_1.assert.equal(cm.colors.ansi[120], '#87ff87');
            chai_1.assert.equal(cm.colors.ansi[121], '#87ffaf');
            chai_1.assert.equal(cm.colors.ansi[122], '#87ffd7');
            chai_1.assert.equal(cm.colors.ansi[123], '#87ffff');
            chai_1.assert.equal(cm.colors.ansi[124], '#af0000');
            chai_1.assert.equal(cm.colors.ansi[125], '#af005f');
            chai_1.assert.equal(cm.colors.ansi[126], '#af0087');
            chai_1.assert.equal(cm.colors.ansi[127], '#af00af');
            chai_1.assert.equal(cm.colors.ansi[128], '#af00d7');
            chai_1.assert.equal(cm.colors.ansi[129], '#af00ff');
            chai_1.assert.equal(cm.colors.ansi[130], '#af5f00');
            chai_1.assert.equal(cm.colors.ansi[131], '#af5f5f');
            chai_1.assert.equal(cm.colors.ansi[132], '#af5f87');
            chai_1.assert.equal(cm.colors.ansi[133], '#af5faf');
            chai_1.assert.equal(cm.colors.ansi[134], '#af5fd7');
            chai_1.assert.equal(cm.colors.ansi[135], '#af5fff');
            chai_1.assert.equal(cm.colors.ansi[136], '#af8700');
            chai_1.assert.equal(cm.colors.ansi[137], '#af875f');
            chai_1.assert.equal(cm.colors.ansi[138], '#af8787');
            chai_1.assert.equal(cm.colors.ansi[139], '#af87af');
            chai_1.assert.equal(cm.colors.ansi[140], '#af87d7');
            chai_1.assert.equal(cm.colors.ansi[141], '#af87ff');
            chai_1.assert.equal(cm.colors.ansi[142], '#afaf00');
            chai_1.assert.equal(cm.colors.ansi[143], '#afaf5f');
            chai_1.assert.equal(cm.colors.ansi[144], '#afaf87');
            chai_1.assert.equal(cm.colors.ansi[145], '#afafaf');
            chai_1.assert.equal(cm.colors.ansi[146], '#afafd7');
            chai_1.assert.equal(cm.colors.ansi[147], '#afafff');
            chai_1.assert.equal(cm.colors.ansi[148], '#afd700');
            chai_1.assert.equal(cm.colors.ansi[149], '#afd75f');
            chai_1.assert.equal(cm.colors.ansi[150], '#afd787');
            chai_1.assert.equal(cm.colors.ansi[151], '#afd7af');
            chai_1.assert.equal(cm.colors.ansi[152], '#afd7d7');
            chai_1.assert.equal(cm.colors.ansi[153], '#afd7ff');
            chai_1.assert.equal(cm.colors.ansi[154], '#afff00');
            chai_1.assert.equal(cm.colors.ansi[155], '#afff5f');
            chai_1.assert.equal(cm.colors.ansi[156], '#afff87');
            chai_1.assert.equal(cm.colors.ansi[157], '#afffaf');
            chai_1.assert.equal(cm.colors.ansi[158], '#afffd7');
            chai_1.assert.equal(cm.colors.ansi[159], '#afffff');
            chai_1.assert.equal(cm.colors.ansi[160], '#d70000');
            chai_1.assert.equal(cm.colors.ansi[161], '#d7005f');
            chai_1.assert.equal(cm.colors.ansi[162], '#d70087');
            chai_1.assert.equal(cm.colors.ansi[163], '#d700af');
            chai_1.assert.equal(cm.colors.ansi[164], '#d700d7');
            chai_1.assert.equal(cm.colors.ansi[165], '#d700ff');
            chai_1.assert.equal(cm.colors.ansi[166], '#d75f00');
            chai_1.assert.equal(cm.colors.ansi[167], '#d75f5f');
            chai_1.assert.equal(cm.colors.ansi[168], '#d75f87');
            chai_1.assert.equal(cm.colors.ansi[169], '#d75faf');
            chai_1.assert.equal(cm.colors.ansi[170], '#d75fd7');
            chai_1.assert.equal(cm.colors.ansi[171], '#d75fff');
            chai_1.assert.equal(cm.colors.ansi[172], '#d78700');
            chai_1.assert.equal(cm.colors.ansi[173], '#d7875f');
            chai_1.assert.equal(cm.colors.ansi[174], '#d78787');
            chai_1.assert.equal(cm.colors.ansi[175], '#d787af');
            chai_1.assert.equal(cm.colors.ansi[176], '#d787d7');
            chai_1.assert.equal(cm.colors.ansi[177], '#d787ff');
            chai_1.assert.equal(cm.colors.ansi[178], '#d7af00');
            chai_1.assert.equal(cm.colors.ansi[179], '#d7af5f');
            chai_1.assert.equal(cm.colors.ansi[180], '#d7af87');
            chai_1.assert.equal(cm.colors.ansi[181], '#d7afaf');
            chai_1.assert.equal(cm.colors.ansi[182], '#d7afd7');
            chai_1.assert.equal(cm.colors.ansi[183], '#d7afff');
            chai_1.assert.equal(cm.colors.ansi[184], '#d7d700');
            chai_1.assert.equal(cm.colors.ansi[185], '#d7d75f');
            chai_1.assert.equal(cm.colors.ansi[186], '#d7d787');
            chai_1.assert.equal(cm.colors.ansi[187], '#d7d7af');
            chai_1.assert.equal(cm.colors.ansi[188], '#d7d7d7');
            chai_1.assert.equal(cm.colors.ansi[189], '#d7d7ff');
            chai_1.assert.equal(cm.colors.ansi[190], '#d7ff00');
            chai_1.assert.equal(cm.colors.ansi[191], '#d7ff5f');
            chai_1.assert.equal(cm.colors.ansi[192], '#d7ff87');
            chai_1.assert.equal(cm.colors.ansi[193], '#d7ffaf');
            chai_1.assert.equal(cm.colors.ansi[194], '#d7ffd7');
            chai_1.assert.equal(cm.colors.ansi[195], '#d7ffff');
            chai_1.assert.equal(cm.colors.ansi[196], '#ff0000');
            chai_1.assert.equal(cm.colors.ansi[197], '#ff005f');
            chai_1.assert.equal(cm.colors.ansi[198], '#ff0087');
            chai_1.assert.equal(cm.colors.ansi[199], '#ff00af');
            chai_1.assert.equal(cm.colors.ansi[200], '#ff00d7');
            chai_1.assert.equal(cm.colors.ansi[201], '#ff00ff');
            chai_1.assert.equal(cm.colors.ansi[202], '#ff5f00');
            chai_1.assert.equal(cm.colors.ansi[203], '#ff5f5f');
            chai_1.assert.equal(cm.colors.ansi[204], '#ff5f87');
            chai_1.assert.equal(cm.colors.ansi[205], '#ff5faf');
            chai_1.assert.equal(cm.colors.ansi[206], '#ff5fd7');
            chai_1.assert.equal(cm.colors.ansi[207], '#ff5fff');
            chai_1.assert.equal(cm.colors.ansi[208], '#ff8700');
            chai_1.assert.equal(cm.colors.ansi[209], '#ff875f');
            chai_1.assert.equal(cm.colors.ansi[210], '#ff8787');
            chai_1.assert.equal(cm.colors.ansi[211], '#ff87af');
            chai_1.assert.equal(cm.colors.ansi[212], '#ff87d7');
            chai_1.assert.equal(cm.colors.ansi[213], '#ff87ff');
            chai_1.assert.equal(cm.colors.ansi[214], '#ffaf00');
            chai_1.assert.equal(cm.colors.ansi[215], '#ffaf5f');
            chai_1.assert.equal(cm.colors.ansi[216], '#ffaf87');
            chai_1.assert.equal(cm.colors.ansi[217], '#ffafaf');
            chai_1.assert.equal(cm.colors.ansi[218], '#ffafd7');
            chai_1.assert.equal(cm.colors.ansi[219], '#ffafff');
            chai_1.assert.equal(cm.colors.ansi[220], '#ffd700');
            chai_1.assert.equal(cm.colors.ansi[221], '#ffd75f');
            chai_1.assert.equal(cm.colors.ansi[222], '#ffd787');
            chai_1.assert.equal(cm.colors.ansi[223], '#ffd7af');
            chai_1.assert.equal(cm.colors.ansi[224], '#ffd7d7');
            chai_1.assert.equal(cm.colors.ansi[225], '#ffd7ff');
            chai_1.assert.equal(cm.colors.ansi[226], '#ffff00');
            chai_1.assert.equal(cm.colors.ansi[227], '#ffff5f');
            chai_1.assert.equal(cm.colors.ansi[228], '#ffff87');
            chai_1.assert.equal(cm.colors.ansi[229], '#ffffaf');
            chai_1.assert.equal(cm.colors.ansi[230], '#ffffd7');
            chai_1.assert.equal(cm.colors.ansi[231], '#ffffff');
            chai_1.assert.equal(cm.colors.ansi[232], '#080808');
            chai_1.assert.equal(cm.colors.ansi[233], '#121212');
            chai_1.assert.equal(cm.colors.ansi[234], '#1c1c1c');
            chai_1.assert.equal(cm.colors.ansi[235], '#262626');
            chai_1.assert.equal(cm.colors.ansi[236], '#303030');
            chai_1.assert.equal(cm.colors.ansi[237], '#3a3a3a');
            chai_1.assert.equal(cm.colors.ansi[238], '#444444');
            chai_1.assert.equal(cm.colors.ansi[239], '#4e4e4e');
            chai_1.assert.equal(cm.colors.ansi[240], '#585858');
            chai_1.assert.equal(cm.colors.ansi[241], '#626262');
            chai_1.assert.equal(cm.colors.ansi[242], '#6c6c6c');
            chai_1.assert.equal(cm.colors.ansi[243], '#767676');
            chai_1.assert.equal(cm.colors.ansi[244], '#808080');
            chai_1.assert.equal(cm.colors.ansi[245], '#8a8a8a');
            chai_1.assert.equal(cm.colors.ansi[246], '#949494');
            chai_1.assert.equal(cm.colors.ansi[247], '#9e9e9e');
            chai_1.assert.equal(cm.colors.ansi[248], '#a8a8a8');
            chai_1.assert.equal(cm.colors.ansi[249], '#b2b2b2');
            chai_1.assert.equal(cm.colors.ansi[250], '#bcbcbc');
            chai_1.assert.equal(cm.colors.ansi[251], '#c6c6c6');
            chai_1.assert.equal(cm.colors.ansi[252], '#d0d0d0');
            chai_1.assert.equal(cm.colors.ansi[253], '#dadada');
            chai_1.assert.equal(cm.colors.ansi[254], '#e4e4e4');
            chai_1.assert.equal(cm.colors.ansi[255], '#eeeeee');
        });
    });
    describe('setTheme', function () {
        it('should not throw when not setting all colors', function () {
            chai_1.assert.doesNotThrow(function () {
                cm.setTheme({});
            });
        });
        it('should set a partial set of colors, using the default if not present', function () {
            chai_1.assert.equal(cm.colors.background, '#000000');
            chai_1.assert.equal(cm.colors.foreground, '#ffffff');
            cm.setTheme({
                background: '#FF0000',
                foreground: '#00FF00'
            });
            chai_1.assert.equal(cm.colors.background, '#FF0000');
            chai_1.assert.equal(cm.colors.foreground, '#00FF00');
            cm.setTheme({
                background: '#0000FF'
            });
            chai_1.assert.equal(cm.colors.background, '#0000FF');
            chai_1.assert.equal(cm.colors.foreground, '#ffffff');
        });
    });
});

//# sourceMappingURL=ColorManager.test.js.map
